---

- ansible.builtin.include_tasks: packages.yml

- ansible.builtin.include_tasks: networking.yml

- ansible.builtin.include_tasks: luks.yml
  when: "'vm' not in group_names"

# additional config

- name: Check if non-root user exists
  ansible.builtin.getent:
    database: passwd
    key: xengi
    fail_key: no

- block:
    - name: Set shell for user
      tags: configure
      ansible.builtin.user:
        name: xengi
        shell: /usr/bin/fish

    - name: Make sure ssh dir exists
      tags: install
      ansible.builtin.file:
        path: /home/xengi/.ssh
        state: directory
        owner: xengi
        mode: '0755'

    - name: Update ssh keys for user
      tags: configure
      ansible.builtin.template:
        src: authorized_keys.j2
        dest: /home/xengi/.ssh/authorized_keys

    - name: Fix sudo for kitty terminal
      ansible.builtin.copy:
        src: etc/sudoers.d/keep_term
        dest: /etc/sudoers.d/keep_term
        owner: root
        group: root
        mode: '0640'

  when: getent_passwd.xengi != 'null'

- name: Make sure ssh dir exists
  tags: install
  ansible.builtin.file:
    path: /root/.ssh
    state: directory
    owner: root
    mode: '0755'

- name: Update ssh keys for root
  tags: configure
  ansible.builtin.template:
    src: authorized_keys.j2
    dest: /root/.ssh/authorized_keys

